
Infrastructure - Task #3418

Story # 3417 (Closed): Orphaned MN content needs to be migrated to a new MN when possible

Create a content migration tool to copy content from the CN to an MN

2012-12-12 16:33 - Chris Jones

Status: Closed Start date: 2012-12-12

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.50-Block.6.4   

Milestone: None Story Points:  

Product Version: *   

Description

We need a command line tool to copy content from the CN to an MN to try to re-establish a defunct MN (that only hosts science

metadata).  For science data, only replication between MNs will solve the issue.

History

#1 - 2012-12-12 16:35 - Chris Jones

Created the d1_cn_tools/d1_cn_content_migrator project.  This tool will be an executable jar file that queries the CN for a list of pids, then calls

create() for each pid on the target MN. Working out authentication issues in testing.

#2 - 2013-01-14 16:34 - Chris Jones

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

This is finished.  LTER content is migrated to a new MN.
